optoKummenberg

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | Protected Attributes | List of all members
optoKummenberg.registers.InputStage.Analog Class Reference
Inheritance diagram for optoKummenberg.registers.InputStage.Analog:

## Public Member Functions
| __init__ (self, int channel=0, board=None)
| GetLUTsize (self)
| Gets size of lookup table.
| SetLUTvoltages (self, voltage)
| Sets voltages into lookup table (vector based)
| GetLUTvoltages (self)
| Gets voltage values stored in lookup table (vector based)
| SetLUTvalues (self, value)
| Sets values (current of focal power) into lookup table (vector based)
| GetLUTvalues (self)
| Gets values stored in lookup table (vector based)
| SetCalCoefEnable (self, value)
| Enables/disables calibrated input, 0 = disabled, 1 = enabled.
| SetLUTtype (self, value)
| Sets unit type of the values stored in lookup table, 0 = current, 1 = focal power.
| GetLUTtype (self)
| Gets unit type of the values stored in lookup table, 0 = current, 1 = focal power.
| SetExtrapolationType (self, value)
| Sets extrapolation type, 0 = constant, 1 = linear.
| GetActiveUnitType (self)
| Gets unit type determined by active control stage system.
| GetMinimum (self)
| SetMinimum (self, value)
| GetMaximum (self)
| SetMaximum (self, value)
| GetMappingMinimum (self)
| SetMappingMinimum (self, value)
| GetMappingMaximum (self)
| SetMappingMaximum (self, value)
Public Member Functions inherited from optoKummenberg.registers.ClassAbstracts.InputStage
| SetAsInput (self)
Public Member Functions inherited from optoKummenberg.registers.ClassAbstracts.System
| set_register (self, str or int register_name_or_id, value, bool set_internal=False)
| set_register_id (self, int register_id, value, type=None)
| get_register (self, str or int register_name_or_id)
| get_register_id (self, int register_id)
| get_register_names (self)

## Static Public Member Functions
| help ()

## Public Attributes
| sys_id
| adc_value
| unit
| minimum
| maximum
| mapping_minimum
| mapping_maximum
| calCoefEnable
| LUTinputType
| LUTextrapolationType
| norm_value
| LUT_size
| LUT_voltage
| LUT_value
| name
Public Attributes inherited from optoKummenberg.registers.ClassAbstracts.InputStage
| name
Public Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
| name
| register_list

## Protected Attributes
| _unitranges
| _readonly
| _channel
Protected Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
| _channel
| _is_a_system
| _board

## Additional Inherited Members
Protected Member Functions inherited from optoKummenberg.registers.ClassAbstracts.System
| _get_register_list (self)
Static Protected Attributes inherited from optoKummenberg.registers.ClassAbstracts.InputStage
bool | _is_a_system = False
Static Protected Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
bool | _is_a_system = False

## Detailed Description

        Input Channel Systems - Analog Input
        System ID: 0x58 through 0x5f

        +-------------------+------+-------------+--------------------+-------------+---------+------------------------+
        | Register Name     | Id   | Type        | Unit               | Range       | Default | Comment                |
        +===================+======+=============+====================+=============+=========+========================+
        | ADC raw value     |0x01  | uint 32-bit | Volt               |0            | 0       | Converted ADC raw value|
        +-------------------+------+-------------+--------------------+-------------+---------+------------------------+
        | Active input type |0x01  | uint 32-bit | UnitType           |0            | 0       | Read only              |
        +-------------------+------+-------------+--------------------+-------------+---------+------------------------+
        | Minimum Current   |0x02  | float 32-bit| Volt               |             | 0       |                        |
        +-------------------+------+-------------+--------------------+-------------+---------+------------------------+
        | Maximum Current   |0x03  | float 32-bit| Volt               |             | 0       |                        |
        +-------------------+------+-------------+--------------------+-------------+---------+------------------------+
        | Minimum Diopter   |0x04  | float 32-bit| Dpt                |             | 0       |                        |
        +-------------------+------+-------------+--------------------+-------------+---------+------------------------+
        | Maximum Diopter   |0x05  | float 32-bit| Dpt                |             | 0       |                        |
        +-------------------+------+-------------+--------------------+-------------+---------+------------------------+
        | Cal coef enable   |0x06  | uint 32-bit | None               |             | 0       | Enable calibrated input|
        +-------------------+------+-------------+--------------------+-------------+---------+------------------------+
        | Analog input type |0x07  | uint 32-bit | A | Dpt            |             | 0       | LUT Unit type          |
        +-------------------+------+-------------+--------------------+-------------+---------+------------------------+
        | Extrapolation type|0x08  | uint 32-bit | None               |             | 0       | constant=0 or linear=1 |
        +-------------------+------+-------------+--------------------+-------------+---------+------------------------+

        registers table 1:

        +--------------------------------+---------------+-------------------------+-----------------------------------+
        | Analogue Input Unit            | Default       | Description             | Format and value                  |
        +================================+===============+=========================+===================================+
        | voltages -> LUT table values   | 0             | 1.voltage               | max 10 * float                    |
        +--------------------------------+---------------+-------------------------+-----------------------------------+
        | current/dpt -> LUT table values| 0             | 2.value(current/FP)     | max 10 & same as voltages * float |
        +--------------------------------+---------------+-------------------------+-----------------------------------+
        | Analog input cal.coefficients  | {0,1,0,0,0,0} | 5th grade polynomial    |    6 * float (24 bytes)           |
        +--------------------------------+---------------+-------------------------+-----------------------------------+

## Constructor & Destructor Documentation

## ◆ __init__()

optoKummenberg.registers.InputStage.Analog.__init__ | ( |  | self,
|  | int | channel = 0,
|  |  | board = None )

Reimplemented from optoKummenberg.registers.ClassAbstracts.InputStage.

## Member Function Documentation

## ◆ GetActiveUnitType()

optoKummenberg.registers.InputStage.Analog.GetActiveUnitType | ( |  | self | ) |

Gets unit type determined by active control stage system.

## ◆ GetLUTsize()

optoKummenberg.registers.InputStage.Analog.GetLUTsize | ( |  | self | ) |

Gets size of lookup table.

## ◆ GetLUTtype()

optoKummenberg.registers.InputStage.Analog.GetLUTtype | ( |  | self | ) |

Gets unit type of the values stored in lookup table, 0 = current, 1 = focal power.

## ◆ GetLUTvalues()

optoKummenberg.registers.InputStage.Analog.GetLUTvalues | ( |  | self | ) |

Gets values stored in lookup table (vector based)

## ◆ GetLUTvoltages()

optoKummenberg.registers.InputStage.Analog.GetLUTvoltages | ( |  | self | ) |

Gets voltage values stored in lookup table (vector based)

## ◆ GetMappingMaximum()

optoKummenberg.registers.InputStage.Analog.GetMappingMaximum | ( |  | self | ) |

## ◆ GetMappingMinimum()

optoKummenberg.registers.InputStage.Analog.GetMappingMinimum | ( |  | self | ) |

## ◆ GetMaximum()

optoKummenberg.registers.InputStage.Analog.GetMaximum | ( |  | self | ) |

## ◆ GetMinimum()

optoKummenberg.registers.InputStage.Analog.GetMinimum | ( |  | self | ) |

## ◆ help()

optoKummenberg.registers.InputStage.Analog.help | ( |  | ) |
| static

## ◆ SetCalCoefEnable()

optoKummenberg.registers.InputStage.Analog.SetCalCoefEnable | ( |  | self,
|  |  | value )

Enables/disables calibrated input, 0 = disabled, 1 = enabled.

## ◆ SetExtrapolationType()

optoKummenberg.registers.InputStage.Analog.SetExtrapolationType | ( |  | self,
|  |  | value )

Sets extrapolation type, 0 = constant, 1 = linear.

## ◆ SetLUTtype()

optoKummenberg.registers.InputStage.Analog.SetLUTtype | ( |  | self,
|  |  | value )

Sets unit type of the values stored in lookup table, 0 = current, 1 = focal power.

## ◆ SetLUTvalues()

optoKummenberg.registers.InputStage.Analog.SetLUTvalues | ( |  | self,
|  |  | value )

Sets values (current of focal power) into lookup table (vector based)

## ◆ SetLUTvoltages()

optoKummenberg.registers.InputStage.Analog.SetLUTvoltages | ( |  | self,
|  |  | voltage )

Sets voltages into lookup table (vector based)

## ◆ SetMappingMaximum()

optoKummenberg.registers.InputStage.Analog.SetMappingMaximum | ( |  | self,
|  |  | value )

## ◆ SetMappingMinimum()

optoKummenberg.registers.InputStage.Analog.SetMappingMinimum | ( |  | self,
|  |  | value )

## ◆ SetMaximum()

optoKummenberg.registers.InputStage.Analog.SetMaximum | ( |  | self,
|  |  | value )

## ◆ SetMinimum()

optoKummenberg.registers.InputStage.Analog.SetMinimum | ( |  | self,
|  |  | value )

## Member Data Documentation

## ◆ _channel

optoKummenberg.registers.InputStage.Analog._channel
| protected

## ◆ _readonly

optoKummenberg.registers.InputStage.Analog._readonly
| protected

## ◆ _unitranges

optoKummenberg.registers.InputStage.Analog._unitranges
| protected

## ◆ adc_value

optoKummenberg.registers.InputStage.Analog.adc_value

## ◆ calCoefEnable

optoKummenberg.registers.InputStage.Analog.calCoefEnable

## ◆ LUT_size

optoKummenberg.registers.InputStage.Analog.LUT_size

## ◆ LUT_value

optoKummenberg.registers.InputStage.Analog.LUT_value

## ◆ LUT_voltage

optoKummenberg.registers.InputStage.Analog.LUT_voltage

## ◆ LUTextrapolationType

optoKummenberg.registers.InputStage.Analog.LUTextrapolationType

## ◆ LUTinputType

optoKummenberg.registers.InputStage.Analog.LUTinputType

## ◆ mapping_maximum

optoKummenberg.registers.InputStage.Analog.mapping_maximum

## ◆ mapping_minimum

optoKummenberg.registers.InputStage.Analog.mapping_minimum

## ◆ maximum

optoKummenberg.registers.InputStage.Analog.maximum

## ◆ minimum

optoKummenberg.registers.InputStage.Analog.minimum

## ◆ name

optoKummenberg.registers.InputStage.Analog.name

## ◆ norm_value

optoKummenberg.registers.InputStage.Analog.norm_value

## ◆ sys_id

optoKummenberg.registers.InputStage.Analog.sys_id

## ◆ unit

optoKummenberg.registers.InputStage.Analog.unit

The documentation for this class was generated from the following file:

- C:/Users/filip.stary/Documents/142-421-00_optoKummenberg/src/main/python/optoKummenberg/registers/InputStage.py